## org.apache.fop.pdf
Class PDFAnnotList

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFAnnotList

public class PDFAnnotList
extends PDFObject

class representing an object which is a list of annotations. This PDF object is a list of references to /Annot objects. So far we are dealing only with links.

Field Summary
`protected int` `count` the number of /Annot objects
`protected java.util.Vector` `links` the /Annot objects

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFAnnotList(int number)` create a /Annots object.

Method Summary
`void` `addLink(PDFLink link)` add an /Annot object of /Subtype /Link.
`int` `getCount()` get the count of /Annot objects
`byte[]` `toPDF()` represent the object in PDF

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### links

    protected java.util.Vector links

  the /Annot objects

### count

    protected int count

  the number of /Annot objects

Constructor Detail

### PDFAnnotList

    public PDFAnnotList(int number)

  create a /Annots object.
  Parameters:
    `number` - the object's number

Method Detail

### addLink

    public void addLink(PDFLink link)

  add an /Annot object of /Subtype /Link.
  Parameters:
    `link` - the PDFLink to add.

### getCount

    public int getCount()

  get the count of /Annot objects
  Returns:
    the number of links

### toPDF

    public byte[] toPDF()

  represent the object in PDF
  Returns:
    the PDF string

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.